#include <iostream>
#include <string>

using namespace std;

long long brCifara(long long n){
        long long b=1;
        while(n>=10){
            n=n/10;
            b++;
        }
        return b;
}

int main()
{
    long long x,y;
    string z;
    cin>>x>>y;
    long long cx, cy, tx, ty;
    cx=brCifara(x);
    cy=brCifara(y);
    if(cy>cx){
        swap(x,y);
        swap(cx,cy);
    }
    tx=x%10;
    ty=y%10;

    if(tx>ty)
        z = to_string(tx);

    else if(ty>tx)
        z = to_string(ty);

    else if(tx==ty){
        z = to_string(tx);
        z=z+z;
    }
    x=x/10;
    y=y/10;
    for(long long i=1;i<cx;i++){
        tx=x%10;
        ty=y%10;
        if(y<=0){
            ty=-1;
        }
        if(tx>ty)
            z = to_string(tx)+z;

        else if(ty>tx)
            z = to_string(ty)+z;

        else if(tx==ty){
            z = to_string(tx)+to_string(tx)+z;
        }
        x=x/10;
        y=y/10;
    }
    cout<<z;
    return 0;
}